
Redmine - Defect #15634

Add watching users to a ticket should switch "watch" link to "unwatch" if own user was added

2013-12-09 15:16 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version: 2.4.1

Description

add users via the link to add watchers in the sidebar

add the own user

the link at the top of the issue still offers "watch"  - should be "unwatch" now.

same if you "unwatch" a ticket - your own username still is visible inside the list of "watching" users in the sidebar

Related issues:

Related to Redmine - Defect #4334: "Watch"ing an issue doesn't update watcher... Closed 2009-12-04

Associated revisions

Revision 21079 - 2021-07-25 04:27 - Go MAEDA

Add watching users to a ticket should switch "watch" link to "unwatch" if own user was added (#15634).

Patch by Takenori TAKAKI.

History

#1 - 2013-12-11 02:58 - Jan from Planio www.plan.io

- Subject changed from ass watching users to a ticket should switch "watch" link to "unwatch" if own user was added to add watching users to a ticket

should switch "watch" link to "unwatch" if own user was added

#2 - 2021-07-10 03:59 - Go MAEDA

- Related to Defect #4334: "Watch"ing an issue doesn't update watchers list added

#3 - 2021-07-13 07:54 - Takenori TAKAKI

- File 15634.patch added

I made a patch to implement this improvement and posted it.

#4 - 2021-07-13 10:08 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2021-07-22 09:48 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#6 - 2021-07-25 04:28 - Go MAEDA

- Subject changed from add watching users to a ticket should switch "watch" link to "unwatch" if own user was added to Add watching users to a ticket

should switch "watch" link to "unwatch" if own user was added

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Priority changed from Low to Normal

- Resolution set to Fixed
Committed the patch. Thank you.

Files

15634.patch 2.26 KB 2021-07-13 Takenori TAKAKI
